#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Name:		python-pycodestyle
# NOTE: before upgrading to >=2.6.0 check for flake8 release supporting new pycodestyle
Version:	2.5.0
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pycodestyle/
Source0:	https://files.pythonhosted.org/packages/source/p/pycodestyle/pycodestyle-%{version}.tar.gz
# Source0-md5:	40e7a76f364a18f531aaba11a4476e21
URL:		https://pycodestyle.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycodestyle is a tool to check your Python code against some of the
style conventions in PEP 8. This module was formerly called pep8.

%description -l pl.UTF-8
pycodestyle to narzędzie do sprawdzania kodu w Pythonie względem
niektórych konwencji stylistycznych opisanych w PEP 8. Ten moduł
wcześniej nazywał się pep8.

%package -n python3-pycodestyle
Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-pycodestyle
pycodestyle is a tool to check your Python code against some of the
style conventions in PEP 8. This module was formerly called pep8.

%description -n python3-pycodestyle -l pl.UTF-8
pycodestyle to narzędzie do sprawdzania kodu w Pythonie względem
niektórych konwencji stylistycznych opisanych w PEP 8. Ten moduł
wcześniej nazywał się pep8.

%package apidocs
Summary:	API documentation for pycodestyle module
Summary(pl.UTF-8):	Dokumentacja API modułu pycodestyle
Group:		Documentation

%description apidocs
API documentation for pycodestyle module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu pycodestyle.

%prep
%setup -q -n pycodestyle-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pycodestyle{,-2}
%py_postclean
%endif

%if %{with python3}
%py3_install
%{__mv} $RPM_BUILD_ROOT%{_bindir}/pycodestyle{,-3}
%endif

%if %{with python2}
ln -s pycodestyle-2 $RPM_BUILD_ROOT%{_bindir}/pycodestyle
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE README.rst
%attr(755,root,root) %{_bindir}/pycodestyle
%attr(755,root,root) %{_bindir}/pycodestyle-2
%{py_sitescriptdir}/pycodestyle.py[co]
%{py_sitescriptdir}/pycodestyle-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pycodestyle
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE README.rst
%attr(755,root,root) %{_bindir}/pycodestyle-3
%{py3_sitescriptdir}/pycodestyle.py
%{py3_sitescriptdir}/__pycache__/pycodestyle.cpython-*.py[co]
%{py3_sitescriptdir}/pycodestyle-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycodestyle.git;a=log;h=auto/th/python-pycodestyle-2.5.0-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4d97be1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 7fd6ab6
- updated to 2.5.0

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 4865d89
- Revert "Revert "- updated to 2.4.0""

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 7974728
- added py3.7 patch (fixes tests with python3.7; note: changes output for async keyword)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> e347e53
- note on 2.4.0 vs flake8

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 9b2fd2c
- Revert "- updated to 2.4.0"

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 15f5bdc
- updated to 2.4.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f69f641
- release 2 (by relup.sh)

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> ba95afa
- new

